ros-rolling-rcl-action (10.2.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 29 May 2025 22:00:00 -0000

ros-rolling-rcl-action (10.2.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 24 Apr 2025 22:00:00 -0000

ros-rolling-rcl-action (10.1.0-1noble) noble; urgency=high

  * Set envars to run tests with rmw_zenoh_cpp with multicast discovery (#1218 <https://github.com/ros2/rcl/issues/1218>)
  * No need to add public symbol visibility macros in implementation. (#1213 <https://github.com/ros2/rcl/issues/1213>)
  * fix 'rcl_action_server_configure_action_introspection': inconsistent dll linkage. (#1212 <https://github.com/ros2/rcl/issues/1212>)
  * Add new interfaces to enable intropsection for action (#1207 <https://github.com/ros2/rcl/issues/1207>)
  * Contributors: Barry Xu, Tomoya Fujita, yadunund

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Apr 2025 22:00:00 -0000

ros-rolling-rcl-action (10.0.2-1noble) noble; urgency=high

  * fix(rcl_action): Allow to pass the timer to action during initialization (#1201 <https://github.com/ros2/rcl/issues/1201>)
    * fix(timer): Use impl pointer in jump callback
    The interface description does not explicitly state that a
    rcl_timer_t may not be copied around. Therefore users may do this.
    By using a known never changing pointer in the callbacks, we avoid
    segfaults, even if the 'user' decides to copy the rcl_timer_t around.
  * Added remapping resolution for action names (#1170 <https://github.com/ros2/rcl/issues/1170>)
    * Added remapping resolution for action names
    * Fix cpplint/uncrustify
    * Simplified returned error codes in case name resolution failes.
    * Renamed action_name field to remapped_action_name.
    * Removed unnecessary resolved_action_name stack variable
    * Added tests for action name remapping.
    * Add tests for action name remapping using local arguments
    ---------
  * Clean up error handling in many rcl{_action,_lifecycle} codepaths (#1202 <https://github.com/ros2/rcl/issues/1202>)
    * Shorten the delay in test_action_server setup.
    Instead of waiting 250ms between setting up 10 goals
    (for at least 2.5 seconds), just wait 100ms which reduces
    this to 1 second.
    * Small style cleanups in test_action_server.cpp
    * Reset the error in rcl_node_type_cache_register_type().
    That is, if rcutils_hash_map_set() fails, it sets its
    own error, so overriding it with our own will cause a
    warning to print.  Make sure to clear it before setting
    our own.
    * Only unregister a clock jump callback if we have installed it.
    This avoids a warning on cleanup in rcl_timer_init2.
    * Record the return value from rcl_node_type_cache_register_type.
    Otherwise, in a failure situation we set the error but we
    actually return RCL_RET_OK to the upper layers, which is
    odd.
    * Get rid of completely unnecessary return value translation.
    This generated code was translating an RCL error to an
    RCL error, which doesn't make much sense.  Just remove
    the duplicate code.
    * Use the rcl_timer_init2 functionality to start the timer disabled.
    Rather than starting it enabled, and then immediately
    canceling it.
    * Don't overwrite the error from rcl_action_goal_handle_get_info()
    It already sets the error, so rcl_action_server_goal_exists()
    should not set it again.
    * Reset errors before setting new ones when checking action validity
    That way we avoid an ugly warning in the error paths.
    * Move the copying of the options earlier in rcl_subscription_init.
    That way when we go to cleanup in the "fail" case, the
    options actually exist and are valid.  This avoids an
    ugly warning during cleanup.
    * Make sure to set the error on failure of rcl_action_get_##_service_name
    This makes it match the generated code for the action_client.
    * Reset the errors during RCUTILS_FAULT_INJECTION testing.
    That way subsequent failures won't print out ugly error
    strings.
    * Make sure to return errors in _rcl_parse_resource_match .
    That is, if rcl_lexer_lookahead2_expect() returns an error,
    we should pass that along to higher layers rather than
    just ignoring it.
    * Don't overwrite error by rcl_validate_enclave_name.
    It leads to ugly warnings.
    * Add acomment that rmw_validate_namespace_with_size sets the error
    * Make sure to reset error in rcl_node_type_cache_init.
    Otherwise we get a warning about overwriting the error
    from rcutils_hash_map_init.
    * Conditionally set error message in rcl_publisher_is_valid.
    Only when rcl_context_is_valid doesn't set the error.
    * Don't overwrite error from rcl_node_get_logger_name.
    It already sets the error in the failure case.
    * Make sure to reset errors when testing network flow endpoints.
    That's because some of the RMW implementations may not support
    this feature, and thus set errors.
    * Make sure to reset errors in rcl_expand_topic_name.
    That way we can set more useful errors for the upper
    layers.
    * Cleanup wait.c error handling.
    In particular, make sure to not overwrite errors as we
    get into error-handling paths, which should clean up
    warnings we get.
    * Make sure to reset errors in rcl_lifecycle tests.
    That way we won't get ugly "overwritten" warnings on
    subsequent tests.
    ---------
  * Contributors: Chris Lalancette, Janosch Machowinski, Justus Braun

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 Jan 2025 23:00:00 -0000

ros-rolling-rcl-action (10.0.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-rcl-action (10.0.0-1noble) noble; urgency=high

  * Cleanup test_graph.cpp. (#1193 <https://github.com/ros2/rcl/issues/1193>)
  * Expect a minimum of two nodes to be alive in test_graph (#1192 <https://github.com/ros2/rcl/issues/1192>)
  * escalate RCL_RET_ACTION_xxx to 40XX. (#1191 <https://github.com/ros2/rcl/issues/1191>)
  * Fix NULL allocator and racy condition. (#1188 <https://github.com/ros2/rcl/issues/1188>)
  * Increased timeouts (#1181 <https://github.com/ros2/rcl/issues/1181>)
  * Change the starting time of the goal expiration timeout (#1121 <https://github.com/ros2/rcl/issues/1121>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Chris Lalancette, Tomoya Fujita, Yadu

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-rcl-action (9.4.1-1noble) noble; urgency=high

  * Increase the test_action_interaction timeouts. (#1172 <https://github.com/ros2/rcl/issues/1172>)
    While I can't reproduce the problem locally, I suspect that
    waiting only 1 second for the entities to become ready isn't
    enough in all cases, particularly on Windows, with Connext,
    and when we are running in parallel with other tests.
    Thus, increase the timeout for the rcl_wait() in all of the
    test_action_interaction tests, which should hopefully be
    enough to make this always pass.
  * Stop compiling rcl_action tests multiple times. (#1165 <https://github.com/ros2/rcl/issues/1165>)
    We don't need to compile the tests once for each RMW;
    we can just compile it once and then use the RMW_IMPLEMENTATION
    environment variable to run the tests on the different RMWs.
    This speeds up compilation.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-rcl-action (9.4.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-rcl-action (9.3.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-rcl-action (9.2.1-1noble) noble; urgency=high

  * Generate version header using ament_generate_version_header(..) (#1141 <https://github.com/ros2/rcl/issues/1141>)
  * Contributors: G.A. vd. Hoorn

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-rcl-action (9.2.0-1noble) noble; urgency=high

  * add RCL_RET_TIMEOUT to action service response. (#1138 <https://github.com/ros2/rcl/issues/1138>)
    * add RCL_RET_TIMEOUT to action service response.
    * address review comment.
    ---------
  * Update quality declaration documents (#1131 <https://github.com/ros2/rcl/issues/1131>)
  * Contributors: Christophe Bedard, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-rcl-action (9.1.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 23 Jan 2024 23:00:00 -0000

ros-rolling-rcl-action (9.0.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-rcl-action (8.0.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-rcl-action (7.3.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 08 Oct 2023 22:00:00 -0000

ros-rolling-rcl-action (7.2.0-1noble) noble; urgency=high

  * Remove most remaining uses of ament_target_dependencies. (#1102 <https://github.com/ros2/rcl/issues/1102>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-rcl-action (7.1.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-rcl-action (7.1.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-rcl-action (7.0.0-1noble) noble; urgency=high

  * Add ~/get_type_description service (rep2011) (#1052 <https://github.com/ros2/rcl/issues/1052>)
  * Modifies timers API to select autostart state (#1004 <https://github.com/ros2/rcl/issues/1004>)
  * Contributors: Eloy Briceno, Hans-Joachim Krauch

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-rcl-action (6.3.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 11 Jun 2023 22:00:00 -0000

ros-rolling-rcl-action (6.2.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-rcl-action (6.1.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-rcl-action (6.1.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-rolling-rcl-action (6.0.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-rcl-action (6.0.0-1noble) noble; urgency=high

  * doc update, ROS message accessibility depends on RMW implementation. (#1043 <https://github.com/ros2/rcl/issues/1043>)
  * Contributors: Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 22:00:00 -0000

ros-rolling-rcl-action (5.9.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-rolling-rcl-action (5.8.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 22 Feb 2023 23:00:00 -0000

ros-rolling-rcl-action (5.7.0-1noble) noble; urgency=high

  * Update rcl to C++17. (#1031 <https://github.com/ros2/rcl/issues/1031>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-rolling-rcl-action (5.6.0-1noble) noble; urgency=high

  * Reduce result_timeout to 10 seconds. (#1012 <https://github.com/ros2/rcl/issues/1012>)
  * [rolling] Update maintainers - 2022-11-07 (#1017 <https://github.com/ros2/rcl/issues/1017>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 04 Dec 2022 23:00:00 -0000

ros-rolling-rcl-action (5.5.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-rcl-action (5.4.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-rcl-action (5.4.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-rcl-action (5.3.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-rolling-rcl-action (5.3.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-rolling-rcl-action (5.2.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-rolling-rcl-action (5.2.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-rolling-rcl-action (5.1.0-1noble) noble; urgency=high

  * Add Events Executor (#839 <https://github.com/ros2/rcl/issues/839>)
  * Install includes it include/${PROJECT_NAME} (#959 <https://github.com/ros2/rcl/issues/959>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-rcl-action (5.0.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-rcl-action (5.0.0-1noble) noble; urgency=high

  * Fix up documentation build for rcl_action when using rosdoc2 (#937 <https://github.com/ros2/rcl/issues/937>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 13 Dec 2021 23:00:00 -0000

ros-rolling-rcl-action (4.0.0-1noble) noble; urgency=high

  * Fix expired goals capacity of action server (#931 <https://github.com/ros2/rcl/issues/931>)
  * Contributors: spiralray

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 15 Sep 2021 22:00:00 -0000

ros-rolling-rcl-action (3.2.0-1noble) noble; urgency=high

  * Wait for action server in rcl_action comm tests. (#919 <https://github.com/ros2/rcl/issues/919>)
  * Contributors: Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 01 Sep 2021 22:00:00 -0000

ros-rolling-rcl-action (3.1.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-rolling-rcl-action (3.1.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-rolling-rcl-action (3.1.0-1noble) noble; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Contributors: shonigmann

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-rcl-action (3.0.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 23:00:00 -0000

ros-rolling-rcl-action (3.0.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 22 Mar 2021 23:00:00 -0000

ros-rolling-rcl-action (2.6.0-1noble) noble; urgency=high

  * Don't expect RCL_RET_TIMEOUT to set an error string (#900 <https://github.com/ros2/rcl/issues/900>)
  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Contributors: Andrea Sorbini

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-rcl-action (2.5.2-1noble) noble; urgency=high

  * Avoid setting error message twice. (#887 <https://github.com/ros2/rcl/issues/887>)
  * Contributors: Chen Lihui

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 04 Feb 2021 23:00:00 -0000

ros-rolling-rcl-action (2.5.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-rcl-action (2.5.0-1noble) noble; urgency=high

  * Address various clang static analysis fixes (#864 <https://github.com/ros2/rcl/issues/864>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)
  * Update QL (#858 <https://github.com/ros2/rcl/issues/858>)
  * Make sure to always check return values (#840 <https://github.com/ros2/rcl/issues/840>)
  * Update deprecated gtest macros (#818 <https://github.com/ros2/rcl/issues/818>)
  * Contributors: Alejandro Hernández Cordero, Audrow Nash, Chris Lalancette, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-rcl-action (2.4.0-1noble) noble; urgency=high

  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Oct 2020 22:00:00 -0000

ros-rolling-rcl-action (2.3.0-1noble) noble; urgency=high

  * Update maintainers (#825 <https://github.com/ros2/rcl/issues/825>)
  * Store reference to rcl_clock_t instead of copy (#797 <https://github.com/ros2/rcl/issues/797>)
  * Use valid clock in case of issue in rcl_timer_init (#795 <https://github.com/ros2/rcl/issues/795>)
  * Contributors: Ivan Santiago Paunovic, Shane Loretz, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Oct 2020 22:00:00 -0000

ros-rolling-rcl-action (2.2.0-1noble) noble; urgency=high

  * Add fault injection macros and unit tests to rcl_action (#730 <https://github.com/ros2/rcl/issues/730>)
  * Change some EXPECT_EQ to ASSERT_EQ in test_action_server. (#759 <https://github.com/ros2/rcl/issues/759>)
  * Contributors: Chris Lalancette, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Sep 2020 22:00:00 -0000

ros-rolling-rcl-action (2.1.0-1noble) noble; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>)
  * Address issue 716 by zero initializing pointers and freeing memory (#717 <https://github.com/ros2/rcl/issues/717>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 21 Jul 2020 22:00:00 -0000

ros-rolling-rcl-action (2.0.0-1noble) noble; urgency=high

  * Update quality declaration and coverage (#674 <https://github.com/ros2/rcl/issues/674>)
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 08 Jul 2020 22:00:00 -0000

ros-rolling-rcl-action (1.2.0-1noble) noble; urgency=high

  * Fixed doxygen warnings (#677 <https://github.com/ros2/rcl/issues/677>)
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Jun 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.5-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.3-1noble) noble; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Address unused parameter warnings (#666 <https://github.com/ros2/rcl/issues/666>)
  * Increase test coverage of rcl_action (#663 <https://github.com/ros2/rcl/issues/663>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 May 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-rcl-action (1.1.0-1noble) noble; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 21 May 2020 22:00:00 -0000

ros-rolling-rcl-action (1.0.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 May 2020 22:00:00 -0000

ros-rolling-rcl-action (0.9.1-1noble) noble; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-rcl-action (0.9.0-1noble) noble; urgency=high

  * Export targets in a addition to include directories / libraries (#632 <https://github.com/ros2/rcl/issues/632>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#615 <https://github.com/ros2/rcl/issues/615>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Changed build_depend and build_depend_export dependencies to depend (#577 <https://github.com/ros2/rcl/issues/577>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Check if action status publisher is ready (#541 <https://github.com/ros2/rcl/issues/541>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 Apr 2020 22:00:00 -0000

ros-rolling-rcl-action (0.8.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Nov 2019 23:00:00 -0000

ros-rolling-rcl-action (0.8.2-1noble) noble; urgency=high

  * Correct action server documentation (#519 <https://github.com/ros2/rcl/issues/519>)
  * Add mechanism to pass rmw impl specific payloads during pub/sub creation (#513 <https://github.com/ros2/rcl/issues/513>)
  * Contributors: Jacob Perron, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-rcl-action (0.8.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 07 Oct 2019 22:00:00 -0000

ros-rolling-rcl-action (0.8.0-1noble) noble; urgency=high

  * Fix rcl_action test_graph (#504 <https://github.com/ros2/rcl/issues/504>)
  * remove unused CMake code (#475 <https://github.com/ros2/rcl/issues/475>)
  * Contributors: Mikael Arguedas, ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-rolling-rcl-action (0.7.4-1noble) noble; urgency=high

  * rcl_action - user friendly error messages for invalid transitions (#448 <https://github.com/ros2/rcl/issues/448>)
  * Contributors: Siddharth Kucheria

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-rolling-rcl-action (0.7.3-1noble) noble; urgency=high

  * Fixed memory leaks in ``rcl_action`` unit tests (#442 <https://github.com/ros2/rcl/issues/442>)
  * Contributors: Prajakta Gokhale

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-rolling-rcl-action (0.7.2-1noble) noble; urgency=high

  * Update graph test for change to rmw names and types struct (#407 <https://github.com/ros2/rcl/issues/407>)
  * New interfaces and their implementations for QoS features (#408 <https://github.com/ros2/rcl/issues/408>)
  * Add return code to CancelGoal service response (#422 <https://github.com/ros2/rcl/issues/422>)
  * Rmw preallocate (#428 <https://github.com/ros2/rcl/issues/428>)
  * Contributors: Jacob Perron, M. M, Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-rolling-rcl-action (0.7.1-1noble) noble; urgency=high

  * Renamed action state transitions (#409 <https://github.com/ros2/rcl/issues/409>)
  * Updated initialization of rmw_qos_profile_t struct instances. (#416 <https://github.com/ros2/rcl/issues/416>)
  * Contributors: Jacob Perron, M. M

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 28 Apr 2019 22:00:00 -0000

ros-rolling-rcl-action (0.7.0-1noble) noble; urgency=high

  * Added Action graph API (#411 <https://github.com/ros2/rcl/issues/411>)
  * Updated to use ament_target_dependencies where possible. (#400 <https://github.com/ros2/rcl/issues/400>)
  * Fixed typo in Doxyfile. (#398 <https://github.com/ros2/rcl/issues/398>)
  * Updated tests to use separated action types. (#340 <https://github.com/ros2/rcl/issues/340>)
  * Fixed minor documentation issues. (#397 <https://github.com/ros2/rcl/issues/397>)
  * Set symbol visibility to hidden for rcl. (#391 <https://github.com/ros2/rcl/issues/391>)
  * Fixed rcl_action documentation. (#380 <https://github.com/ros2/rcl/issues/380>)
  * Removed now unused test executable . (#382 <https://github.com/ros2/rcl/issues/382>)
  * Removed unused action server option 'clock_type'. (#382 <https://github.com/ros2/rcl/issues/382>)
  * Set error message when there is an invalid goal transition. (#382 <https://github.com/ros2/rcl/issues/382>)
  * Updated to pass context to wait set, and fini rmw context (#373 <https://github.com/ros2/rcl/issues/373>)
  * Contributors: Dirk Thomas, Jacob Perron, Sachin Suresh Bhat, William Woodall, ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-rolling-rcl-action (0.6.4-1noble) noble; urgency=high

  * Added parentheses around use of zerouuid macro (#371 <https://github.com/ros2/rcl/issues/371>)
  * Fixed logic that moves goal handles when one expires (#360 <https://github.com/ros2/rcl/issues/360>)
  * Updated to avoid timer period being set to 0 (#359 <https://github.com/ros2/rcl/issues/359>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 10 Jan 2019 23:00:00 -0000

ros-rolling-rcl-action (0.6.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Dec 2018 23:00:00 -0000

ros-rolling-rcl-action (0.6.2-1noble) noble; urgency=high

  * [rcl_action] Bugfix: arithmetic error
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Dec 2018 23:00:00 -0000

ros-rolling-rcl-action (0.6.1-1noble) noble; urgency=high

  * Added wait_for_action_server() for action clients (#349 <https://github.com/ros2/rcl/issues/349>)
  * Updated to adapt to action implicit changes (#353 <https://github.com/ros2/rcl/issues/353>)
  * Added action interaction tests (#352 <https://github.com/ros2/rcl/issues/352>)
  * Enabled test_action_communication to compile against available rmw. (#351 <https://github.com/ros2/rcl/issues/351>)
  * Changed UUID type in action msgs (#338 <https://github.com/ros2/rcl/issues/338>)
  * Added rcl_action_server_is_valid_except_context (#348 <https://github.com/ros2/rcl/issues/348>)
  * Updated to fini even if node context is invalid and reset error (#346 <https://github.com/ros2/rcl/issues/346>)
  * Added timer to action server to check expired goals + asan fixes (#343 <https://github.com/ros2/rcl/issues/343>)
  * Increased timeout for rcl_wait in action tests (#344 <https://github.com/ros2/rcl/issues/344>)
  * Refactored init to not be global (#336 <https://github.com/ros2/rcl/issues/336>)
  * Completes integration tests for action client/server (#331 <https://github.com/ros2/rcl/issues/331>)
  * Updated rcl_action_expire_goals() to output list of expired goals. (#342 <https://github.com/ros2/rcl/issues/342>)
  * Updated process_cancel_request to no longer change goal state (#341 <https://github.com/ros2/rcl/issues/341>)
  * Add action server implementation (#323 <https://github.com/ros2/rcl/issues/323>)
  * Contributors: Alexis Pojomovsky, Jacob Perron, Michel Hidalgo, Shane Loretz, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-rolling-rcl-action (0.6.0-1noble) noble; urgency=high

  * Made rcl_action_get_*_name() functions check for empty action names. #329 <https://github.com/ros2/rcl/issues/329>
  * Implemented Action client #319 <https://github.com/ros2/rcl/issues/319>
  * Added function to check if goal can be transitioned to CANCELING (#325 <https://github.com/ros2/rcl/issues/325>)
  * Implement goal handle (#320 <https://github.com/ros2/rcl/issues/320>)
  * Update to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Add action services and topics name getters #317 <https://github.com/ros2/rcl/issues/317>
  * Implement init/fini functions for types (#312 <https://github.com/ros2/rcl/issues/312>)
  * Refactor goal state machine implementation and add unit tests (#311 <https://github.com/ros2/rcl/issues/311>)
  * Add missing visibilty control definitions (#315 <https://github.com/ros2/rcl/issues/315>)
  * Add rcl_action package and headers (#307 <https://github.com/ros2/rcl/issues/307>)
  * Contributors: Jacob Perron, Michel Hidalgo, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 15 Nov 2018 23:00:00 -0000


